% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Estimation.R
\name{MedianBE}
\alias{MedianBE}
\title{Correction vector estimation}
\usage{
MedianBE(refBatch, queBatch, pairs)
}
\arguments{
\item{refBatch}{Reference batch.}

\item{queBatch}{Query batch.}

\item{pairs}{A numerical matrix containing MNNs pairs cell indexes. First column corresponds to query batch cells.}
}
\value{
A list containing the estimated correction vector and the estimation data.
The length of the correction vector is equal to the number of genes.
}
\description{
Batch effect estimation using the MNNs pairs.
}
\details{
The input batches must have the same number of genes. The model used on the estimation has the form of g_ref = g_que + be, where
the batch effect is represented as a value added to the reference gene expression. The batch effect is estimated as
the median of the gene expression difference among the reference and the query batch, e.g. Median(g_ref - g_que).
}
